Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.util
Class ProcessOutputRedirect

    java.lang.Object
      java.lang.Thread
          rdlc.util.ProcessOutputRedirect

All Implemented Interfaces:
  java.lang.Runnable

    public class ProcessOutputRedirect

extends java.lang.Thread

This class spawns a new thread to capture and redirect the output of a process which has been created. This is used during external tool invocation in plugins and testing.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.io.InputStream` | `inputStream` The input stream, the output of the process.
`protected java.io.OutputStream` | `outputStream` The output stream, the destination for the processes output.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProcessOutputRedirect(java.io.InputStream _inputStream)` Create a redirector which will throw out all the input it receives
`ProcessOutputRedirect(java.io.InputStream _inputStream, java.io.OutputStream _outputStream)` Create a true redirector to capture and move one stream to another.

Method Summary
`void` | `run()` Run method, poll the input stream and redirect all output to the the output stream.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inputStream

    protected java.io.InputStream inputStream

  The input stream, the output of the process.

### outputStream

    protected java.io.OutputStream outputStream

  The output stream, the destination for the processes output.

Constructor Detail

### ProcessOutputRedirect

    public ProcessOutputRedirect(java.io.InputStream _inputStream)

  Create a redirector which will throw out all the input it receives

  Parameters:
    `_inputStream` - The stream whose contents should be discarded.

### ProcessOutputRedirect

    public ProcessOutputRedirect(java.io.InputStream _inputStream,
                                 java.io.OutputStream _outputStream)

  Create a true redirector to capture and move one stream to another.

  Parameters:
    `_inputStream` - The stream to redirect.
    `_outputStream` - The stream to redirect the input stream to.

Method Detail

### run

    public void run()

  Run method, poll the input stream and redirect all output to the the output stream.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD